Loading...
Searching...
No Matches
syr2: Symmetric rank 2 update
Dense LA » MAGMA BLAS and Auxiliary » Level 2: matrix-vector operations, O(n^2) work

\(A = \alpha xy^T + \alpha yx^T + A\) More...

## Functions

void | magma_csyr2 (magma_uplo_t uplo, magma_int_t n, magmaFloatComplex alpha, magmaFloatComplex_const_ptr dx, magma_int_t incx, magmaFloatComplex_const_ptr dy, magma_int_t incy, magmaFloatComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.
void | magma_dsyr2 (magma_uplo_t uplo, magma_int_t n, double alpha, magmaDouble_const_ptr dx, magma_int_t incx, magmaDouble_const_ptr dy, magma_int_t incy, magmaDouble_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.
void | magma_ssyr2 (magma_uplo_t uplo, magma_int_t n, float alpha, magmaFloat_const_ptr dx, magma_int_t incx, magmaFloat_const_ptr dy, magma_int_t incy, magmaFloat_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.
void | magma_zsyr2 (magma_uplo_t uplo, magma_int_t n, magmaDoubleComplex alpha, magmaDoubleComplex_const_ptr dx, magma_int_t incx, magmaDoubleComplex_const_ptr dy, magma_int_t incy, magmaDoubleComplex_ptr dA, magma_int_t ldda, magma_queue_t queue)
| Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.

## Detailed Description

\(A = \alpha xy^T + \alpha yx^T + A\)

## Function Documentation

## magma_csyr2()

void magma_csyr2 | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaFloatComplex | alpha,
|  | magmaFloatComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloatComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaFloatComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_dsyr2()

void magma_dsyr2 | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | double | alpha,
|  | magmaDouble_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDouble_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaDouble_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | DOUBLE PRECISION array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | DOUBLE PRECISION array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | DOUBLE PRECISION array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_ssyr2()

void magma_ssyr2 | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | float | alpha,
|  | magmaFloat_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaFloat_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaFloat_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | REAL array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | REAL array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | REAL array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.

## magma_zsyr2()

void magma_zsyr2 | ( | magma_uplo_t | uplo,
|  | magma_int_t | n,
|  | magmaDoubleComplex | alpha,
|  | magmaDoubleComplex_const_ptr | dx,
|  | magma_int_t | incx,
|  | magmaDoubleComplex_const_ptr | dy,
|  | magma_int_t | incy,
|  | magmaDoubleComplex_ptr | dA,
|  | magma_int_t | ldda,
|  | magma_queue_t | queue )

Perform symmetric rank-2 update, \( A = \alpha x y^T + \alpha y x^T + A, \) where \( A \) is symmetric.

Parameters

  [in] | uplo | Whether the upper or lower triangle of A is referenced.
  [in] | n | Number of rows and columns of A. n >= 0.
  [in] | alpha | Scalar \( \alpha \)
  [in] | dx | COMPLEX_16 array on GPU device. The n element vector x of dimension (1 + (n-1)*incx).
  [in] | incx | Stride between consecutive elements of dx. incx != 0.
  [in] | dy | COMPLEX_16 array on GPU device. The n element vector y of dimension (1 + (n-1)*incy).
  [in] | incy | Stride between consecutive elements of dy. incy != 0.
  [in,out] | dA | COMPLEX_16 array of dimension (ldda,n), ldda >= max(1,n). The n-by-n matrix A, on GPU device.
  [in] | ldda | Leading dimension of dA.
  [in] | queue | magma_queue_t Queue to execute in.